package gox

import (
	"fmt"
	"runtime"
	"strconv"
	"strings"
)

// CurrentGoroutineId get current goroutine id by walk stack.
// This func get goroutine id by parse current stack string, call this function is expensive.
func CurrentGoroutineId() int64 {
	var buf [64]byte
	n := runtime.Stack(buf[:], false)
	stk := strings.TrimPrefix(string(buf[:n]), "goroutine ")

	idField := strings.Fields(stk)[0]
	id, err := strconv.ParseInt(idField, 10, 64)
	if err != nil {
		panic(fmt.Errorf("can not get goroutine id: %v", err))
	}

	return id
}
