package lazy

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestLazy_Get(t *testing.T) {
	computedCount := 0
	lazy := Of(func() string {
		computedCount++
		return "test123"
	})
	go func() {
		lazy.Get()
	}()
	assert.Equal(t, "test123", lazy.Get())
	assert.Equal(t, "test123", lazy.Get())
	assert.Equal(t, 1, computedCount)
}

func TestLazy_TryGet(t *testing.T) {
	lazy := Of(func() string {
		return "test"
	})
	v, ok := lazy.TryGet()
	assert.False(t, ok)
	assert.Empty(t, v)

	lazy.Get()

	v, ok = lazy.TryGet()
	assert.True(t, ok)
	assert.Equal(t, "test", v)
}
