package floatx

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestFormatFloat(t *testing.T) {
	assert.Equal(t, "1.20", Format(1.201, 2))
	assert.Equal(t, "1.20", Format(1.198, 2))
	assert.Equal(t, "1.20", Format(float32(1.201), 2))
	assert.Equal(t, "1.20", Format(float32(1.198), 2))
}

func TestParseFloat(t *testing.T) {
	assert.Equal(t, 1.20, SafeParse("1.20", 0.0))
	assert.Equal(t, 0.0, SafeParse("1.20x", 0.0))
	assert.Equal(t, float32(1.20), SafeParse("1.20", float32(0)))
	assert.Equal(t, float32(0.0), SafeParse("1.20x", float32(0)))
}
