package intx

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestParseInt(t *testing.T) {
	assert.Equal(t, 100000000, SafeParse("100000000", -1))
	assert.Equal(t, -1, SafeParse("100000aa", -1))
	assert.Equal(t, int64(100), SafeParse("100", int64(-1)))
	assert.Equal(t, int64(-1), SafeParse("10a", int64(-1)))
}

func TestFormatInt(t *testing.T) {
	assert.Equal(t, "100", Format(100))
}

func TestAbs(t *testing.T) {
	assert.Equal(t, 0, Abs(0))
	assert.Equal(t, 1, Abs(-1))
	assert.Equal(t, 1, Abs(1))
	assert.Equal(t, MaxInt, Abs(MaxInt))
	assert.Equal(t, MinInt, Abs(MinInt))
	assert.Equal(t, int64(0), Abs(int64(0)))
	assert.Equal(t, int64(1), Abs(int64(-1)))
	assert.Equal(t, int64(1), Abs(int64(1)))
}

func TestFormatUInt(t *testing.T) {
	assert.Equal(t, "100", FormatUnsigned(uint(100)))
}

func TestParseUint(t *testing.T) {
	assert.Equal(t, uint(100), SafeParseUnsigned[uint]("100", 0))
	assert.Equal(t, uint(0), SafeParseUnsigned[uint]("100x", 0))
}
