package stringx

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestSplitter_Split(t *testing.T) {
	splitter := Splitter{
		Prefix:    "{",
		Suffix:    "}",
		Separator: ",",
	}
	assert.Equal(t, []string{"1", "2", "3"}, splitter.Split("{1,2,3}"))
	assert.Equal(t, []string{"1", "", "3"}, splitter.Split("{1,,3}"))
	assert.Equal(t, []string{"1", "2"}, splitter.Split("{1,2"))
	assert.Equal(t, []string{"1", "2"}, splitter.Split("1,2"))
	assert.Equal(t, []string{"1"}, splitter.Split("1"))
	assert.Equal(t, []string{""}, splitter.Split("{}"))
	assert.Equal(t, []string{""}, splitter.Split(""))

	splitter = Splitter{
		Separator: ",",
	}
	assert.Equal(t, []string{"1", "2"}, splitter.Split("1,2"))
	assert.Equal(t, []string{"1"}, splitter.Split("1"))
	assert.Equal(t, []string{""}, splitter.Split(""))
}
