package timex

import (
	"testing"
	"time"

	"github.com/stretchr/testify/assert"
)

func TestStopwatch_Start(t *testing.T) {
	sw := NewStopwatchStarted()
	time.Sleep(10 * time.Millisecond)
	assert.True(t, sw.ElapsedMillis() > 5)
	assert.Panics(t, func() {
		sw.Start()
	})

	sw.Stop()
	assert.Panics(t, func() {
		sw.Stop()
	})
	assert.True(t, sw.ElapsedMillis() > 5)

	sw.Reset()
	assert.Equal(t, int64(0), sw.ElapsedMillis())
}
